if (CSS.registerProperty) {
  /* Scaled font-size that is 10 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-10",
    syntax: "<length>",
    inherits: false,
    initialValue: "3.247rem",
  });
  /* Scaled font-size that is 1 stop bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.125rem",
  });
  /* Scaled font-size that is 2 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.266rem",
  });
  /* Scaled font-size that is 3 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.424rem",
  });
  /* Scaled font-size that is 1 stop smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.875rem",
  });
  /* Scaled font-size that is 4 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.602rem",
  });
  /* Scaled font-size that is 2 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.8125rem",
  });
  /* Scaled font-size that is 5 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-5",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.802rem",
  });
  /* Scaled font-size that is 3 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.75rem",
  });
  /* Scaled font-size that is 6 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-6",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.027rem",
  });
  /* Scaled font-size that is 4 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.625rem",
  });
  /* Scaled font-size that is 7 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-7",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.281rem",
  });
  /* Scaled font-size that is 8 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-8",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.566rem",
  });
  /* Scaled font-size that is 9 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-9",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.887rem",
  });
  /* Default font-size for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-size-base",
    syntax: "<length>",
    inherits: false,
    initialValue: "1rem",
  });
}
