# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [0.3.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.2.4...@salesforce-ux/sds-styling-hooks@0.3.0) (2021-04-27)


### Features

* **sds-styling-hooks:** Add examples for shadow and spacing ([a6acc80](https://github.com/salesforce-ux/salesforce-design-system/commit/a6acc801128633e7f108da44ce862260a80a9e5c))
* **sds-styling-hooks:** Add remaining spacing values: ([54d60a9](https://github.com/salesforce-ux/salesforce-design-system/commit/54d60a9128aa9deaa24dc623e47b4e5b3185edce))
* **sds-styling-hooks:** Add shadows ([c829ae2](https://github.com/salesforce-ux/salesforce-design-system/commit/c829ae28045ff74e7958a6b15b8bf1ed3a2d19a6))





## [0.2.4](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.2.3...@salesforce-ux/sds-styling-hooks@0.2.4) (2021-04-13)


### Bug Fixes

* **radius:** add new border-radius ([b238510](https://github.com/salesforce-ux/salesforce-design-system/commit/b238510405ba3f15430f07360a61db48bf053b3c))





## [0.2.3](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.2.2...@salesforce-ux/sds-styling-hooks@0.2.3) (2021-04-07)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





## [0.2.2](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.2.1...@salesforce-ux/sds-styling-hooks@0.2.2) (2021-04-07)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





# [0.2.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.1.0...@salesforce-ux/sds-styling-hooks@0.2.0) (2021-03-09)


### Features

* **sds-styling-hooks:** Add color palettes ([#108](https://github.com/salesforce-ux/salesforce-design-system/issues/108)) ([3f4632e](https://github.com/salesforce-ux/salesforce-design-system/commit/3f4632e772336d665b631a361c4d2fc7cfdd2ebf))





# 0.1.0 (2021-03-04)


### Features

* **automation:** Add Lerna to manage packages independently  ([#12](https://github.com/salesforce-ux/salesforce-design-system/issues/12)) ([20030ed](https://github.com/salesforce-ux/salesforce-design-system/commit/20030ed73d5bfa707a21c7b9a226ddf1f4c8d27b))
* **sds-styling-hooks:** Add colors, typography, and spacing, generate formats ([#95](https://github.com/salesforce-ux/salesforce-design-system/issues/95)) ([2b89302](https://github.com/salesforce-ux/salesforce-design-system/commit/2b893029980fbe410b38ba468f4060dc5a77a22f))
