module.exports = {
  /* Neutral Inverse 1 - if used as a background, please use Neutral Inverse Contrast 1-4 to meet accessibility guidelines. */
  colorNeutralInverse1: "rgb(24, 24, 24)",
  /* Brand Inverse 1 - if used as a background, please use Brand Inverse Contrast 1-4 to meet accessibility guidelines. */
  colorBrandInverse1: "rgb(0, 22, 57)",
  /* Neutral Inverse 2 - if used as a background, please use Neutral Inverse Contrast 2-4 to meet accessibility guidelines. */
  colorNeutralInverse2: "rgb(46, 46, 48)",
  /* Neutral Base 1 - if used as a background, please use Neutral Base Contrast 1-4 to meet accessibility guidelines. */
  colorNeutralBase1: "rgb(255, 255, 255)",
  /* Brand Base 1 - if used as a background, please use Brand Base Contrast 1-4 to meet accessibility guidelines. */
  colorBrandBase1: "rgb(255, 255, 255)",
  /* Brand Inverse 2 - if used as a background, please use Brand Inverse Contrast 2-4 to meet accessibility guidelines. */
  colorBrandInverse2: "rgb(3, 45, 96)",
  /* Neutral Inverse 3 - if used as a background, please use Neutral Inverse Contrast 3-4 to meet accessibility guidelines. */
  colorNeutralInverse3: "rgb(68, 68, 71)",
  /* Neutral Base 2 - if used as a background, please use Neutral Base Contrast 2-4 to meet accessibility guidelines. */
  colorNeutralBase2: "rgb(243, 243, 243)",
  /* Brand Base 2 - if used as a background, please use Brand Base Contrast 2-4 to meet accessibility guidelines. */
  colorBrandBase2: "rgb(238, 244, 255)",
  /* Brand Inverse 3 - if used as a background, please use Brand Inverse Contrast 3-4 to meet accessibility guidelines. */
  colorBrandInverse3: "rgb(1, 68, 134)",
  /* Neutral Inverse 4 - if used as a background, please use Neutral Inverse Contrast 4 to meet accessibility guidelines. */
  colorNeutralInverse4: "rgb(90, 92, 97)",
  /* Neutral Base 3 - if used as a background, please use Neutral Base Contrast 3-4 to meet accessibility guidelines. */
  colorNeutralBase3: "rgb(229, 229, 229)",
  /* Brand Base 3 - if used as a background, please use Brand Base Contrast 3-4 to meet accessibility guidelines. */
  colorBrandBase3: "rgb(216, 230, 254)",
  /* Brand Inverse 4 - if used as a background, please use Brand Inverse Contrast 4 to meet accessibility guidelines. */
  colorBrandInverse4: "rgb(11, 92, 171)",
  /* Neutral Base 4 - if used as a background, please use Neutral Base Contrast 4 to meet accessibility guidelines. */
  colorNeutralBase4: "rgb(201, 201, 203)",
  /* Brand Base 4 - if used as a background, please use Brand Base Contrast 4 to meet accessibility guidelines. */
  colorBrandBase4: "rgb(170, 203, 255)",
  /* Neutral Base Contrast 1 - if used as a background, please use Neutral Base 1-4 to meet accessibility guidelines. */
  colorNeutralBaseContrast1: "rgb(146, 147, 152)",
  /* Brand Base Contrast 1 - if used as a background, please use Brand Base 1-4 to meet accessibility guidelines. */
  colorBrandBaseContrast1: "rgb(27, 150, 255)",
  /* Neutral Base Contrast 2 - if used as a background, please use Neutral Base 2-4 to meet accessibility guidelines. */
  colorNeutralBaseContrast2: "rgb(115, 116, 121)",
  /* Neutral Inverse Contrast 1 - if used as a background, please use Neutral Inverse Base 1-4 to meet accessibility guidelines. */
  colorNeutralInverseContrast1: "rgb(115, 116, 121)",
  /* Brand Inverse Contrast 1 - if used as a background, please use Brand Inverse Base 1-4 to meet accessibility guidelines. */
  colorBrandInverseContrast1: "rgb(1, 118, 211)",
  /* Brand Base Contrast 2 - if used as a background, please use Brand Base 2-4 to meet accessibility guidelines. */
  colorBrandBaseContrast2: "rgb(1, 118, 211)",
  /* Neutral Base Contrast 3 - if used as a background, please use Neutral Base 3-4 to meet accessibility guidelines. */
  colorNeutralBaseContrast3: "rgb(90, 92, 97)",
  /* Neutral Inverse Contrast 2 - if used as a background, please use Neutral Inverse Base 2-4 to meet accessibility guidelines. */
  colorNeutralInverseContrast2: "rgb(146, 147, 152)",
  /* Brand Inverse Contrast 2 - if used as a background, please use Brand Inverse Base 2-4 to meet accessibility guidelines. */
  colorBrandInverseContrast2: "rgb(27, 150, 255)",
  /* Brand Base Contrast 3 - if used as a background, please use Brand Base 3-4 to meet accessibility guidelines. */
  colorBrandBaseContrast3: "rgb(11, 92, 171)",
  /* Neutral Base Contrast 4 - if used as a background, please use Neutral Base 4 to meet accessibility guidelines. */
  colorNeutralBaseContrast4: "rgb(24, 24, 24)",
  /* Neutral Inverse Contrast 3 - if used as a background, please use Neutral Inverse Base 3-4 to meet accessibility guidelines. */
  colorNeutralInverseContrast3: "rgb(173, 174, 177)",
  /* Brand Inverse Contrast 3 - if used as a background, please use Brand Inverse Base 3-4 to meet accessibility guidelines. */
  colorBrandInverseContrast3: "rgb(120, 176, 253)",
  /* Brand Base Contrast 4 - if used as a background, please use Brand Base 4 to meet accessibility guidelines. */
  colorBrandBaseContrast4: "rgb(0, 22, 57)",
  /* Neutral Inverse Contrast 4 - if used as a background, please use Neutral Inverse Base 4 to meet accessibility guidelines. */
  colorNeutralInverseContrast4: "rgb(255, 255, 255)",
  /* Brand Inverse Contrast 4 - if used as a background, please use Brand Inverse Base 4 to meet accessibility guidelines. */
  colorBrandInverseContrast4: "rgb(255, 255, 255)",
};