export const basicExample = (obj, slot, sort) => {
  let props = Object.keys(obj.props);
  const list = document.createElement('div');
  if (sort && typeof sort === 'function') {
    props = sort();
  }
  for (const prop of props) {
    const scope = obj.props[prop].scope === 'global' ? 'g' : 's';
    list.insertAdjacentHTML(
      'beforeend',
      `
      <basic-example value="${obj.props[prop].value}" prop="--sds-${scope}-${
        obj.props[prop].name
      }" cssProperty=${obj.props[prop].cssProperties[0]} category=${obj.props[prop].category} title=${
        obj.props[prop].comment
      }>${slot !== undefined ? slot : ''}</basic-example>
      `,
    );
  }
  return list;
};
