import fontFamily from '../../.build/font-family.raw.json';
import fontSize from '../../.build/font-size.raw.json';
import fontWeight from '../../.build/font-weight.raw.json';
import lineHeight from '../../.build/line-height.raw.json';
import { basicExample } from './examples/basic';

export default {
  title: 'SDS Styling Hooks/Typography',
};

export const FontFamily = () => basicExample(fontFamily, 'The quick brown fox jumps over the lazy dog');

export const FontWeight = () => basicExample(fontWeight, 'The quick brown fox jumps over the lazy dog');

export const LineHeight = () => basicExample(lineHeight, 'The quick brown fox jumps over the lazy dog');

export const FontSize = () =>
  basicExample(fontSize, 'The quick brown fox jumps over the lazy dog', () =>
    Object.keys(fontSize.props).sort(
      (a, b) => parseFloat(fontSize.props[b].value) - parseFloat(fontSize.props[a].value),
    ),
  );
